<?php
session_start();

if ($_SESSION['company'] == "") { 
    exit("Please Login");
}
if ($_SESSION['CURRENT_USER'] == "") { 
    exit("Please Login");
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>Search Adjustment</title> 
	<style type="text/css">
		tfoot input {
			width: 100%;
			padding: 3px;
			box-sizing: border-box;
		}
	</style>
	<link  href="new/vendor/new/multi/jquery.dataTables.min.css" rel="stylesheet" type="text/css"> 
	<script src="new/vendor/new/multi/jquery-3.5.1.js" ></script>
	<script src="new/vendor/new/multi/jquery.dataTables.min.js" ></script>
	
	<script language="JavaScript" src="js/search_stk_adj.js"></script>
</head>
<body>



	<table id="example" class="display" style="width:100%">
		<thead>
			<tr>
			                  <td align="center">Ref No</td>
                              <td align="center">Date</td>
                              <td align="center">Type</td> 
                              
			</tr>
		</thead>
		<tbody>
			<?php
			$stname = "";
			if (isset($_GET['stname'])) {
				$stname = $_GET["stname"];
			}
			?>
			<input type="hidden" value="" id="cur" />

		<?php 
							
							require_once("connectioni.php");
							 
							 
							if ($_SESSION["company"]!="") {           
                                 $sql="SELECT * FROM inreq_mas where  company='".$_SESSION["company"]."'  order by sdate desc";
                            }else{
                                 $sql="SELECT * FROM inreq_mas     order by sdate desc";
                                 
                            } 
							$result =mysqli_query($GLOBALS['dbinv'],$sql) ; 
							
							while($row = mysqli_fetch_array($result)){
					
							 if($row['CANCELL'] == "0"){
                                $status="";
                                 $color="";
                            }else if($row['CANCELL'] == "1"){
                                 $status="Canceld";
                                 $color="red";
                            }  
                
               	echo "<tr style=\"background-color:$color\">                
                              <td align=\"center\" onclick=\"stk_adj('".$row['refno']."', '".$_GET['stname']."');\">".$row['refno']."</a></td>
                              <td align=\"left\" onclick=\"stk_adj('".$row['refno']."', '".$_GET['stname']."');\">".$row["sdate"]."</a></td>
                              <td align=\"center\" onclick=\"stk_adj('".$row['refno']."', '".$_GET['stname']."');\">".$row["trn_type"]."</a></td> 
                              
                            </tr>";
							}
							  ?>

		</tbody>
		<tfoot>
			<tr>
	                    	  <th align="center">Ref No</th>
                              <th align="center">Date</th>
                              <th align="center">Type</th> 
			</tr>
		</tfoot>
	</table>

</body>
</html>
<script type="text/javascript">
	$(document).ready(function() {
    // Setup - add a text input to each footer cell
    $('#example tfoot th').each( function () {
    	var title = $(this).text();
    	$(this).html( '<input type="text" placeholder="Search '+title+'" />' );
    } );

    // DataTable
    var table = $('#example').DataTable({
    	
    	lengthChange: true,
    	fixedHeader: true,
    	responsive: true,
    	"deferRender": true,
    	"order": [[ 0, 'desc' ]],
    	lengthMenu: [[ 15, 25, 50,100, -1 ],[ '15 rows', '25 rows', '50 rows', '100 rows', 'Show all' ]],
    	initComplete: function () {
            // Apply the search
            this.api().columns().every( function () {
            	var that = this;

            	$( 'input', this.footer() ).on( 'keyup change clear', function () {
            		if ( that.search() !== this.value ) {
            			that
            			.search( this.value )
            			.draw();
            		}
            	} );
            } );
        }
    });

} );
</script>


 